> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an external account by id

> Get an external account object.



## OpenAPI

````yaml api-reference/oas-with-internal-removed.yaml get /deliver/external/accounts/{id}
openapi: 3.0.1
info:
  title: Orum API
  description: Orum API.
  version: v2022-09-21
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api-sandbox.orum.io
  - url: https://vault.api-sandbox.orum.io
security: []
paths:
  /deliver/external/accounts/{id}:
    get:
      tags:
        - External Accounts
      summary: Get an external account by id
      description: Get an external account object.
      operationId: get-external-account
      parameters:
        - name: Orum-Version
          in: header
          required: true
          schema:
            $ref: '#/components/schemas/OrumVersion'
          x-orum-error-invalid:
            known-error: version_invalid
          x-orum-error-missing:
            known-error: version_missing
        - name: id
          in: path
          description: >-
            Orum generated unique id for the resource for the external account
            you are fetching.
          required: true
          schema:
            $ref: '#/components/schemas/OrumId'
          x-orum-error-invalid:
            known-error: unknown_id_external_account
      responses:
        '200':
          description: 200 response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExternalAccountResponse'
        '404':
          description: not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          description: unexpected error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - oauth2:
            - read:external-accounts
components:
  schemas:
    OrumVersion:
      type: string
      description: Version of Deliver and Verify APIs. Use v2022-09-21.
      enum:
        - v2022-09-21
    OrumId:
      type: string
      description: Orum generated unique id for the resource.
      format: uuid
    ExternalAccountResponse:
      title: ExternalAccountResponse
      type: object
      required:
        - external_account
      properties:
        external_account:
          $ref: '#/components/schemas/ExternalAccountResponseBase'
    ErrorResponse:
      type: object
      properties:
        error_code:
          type: string
        message:
          type: string
        details:
          type: object
          description: additional details about the error.
          nullable: true
      required:
        - error_code
        - message
    ExternalAccountResponseBase:
      title: ExternalAccountResponseBase
      type: object
      description: A single object of External Account.
      required:
        - id
        - account_reference_id
        - customer_reference_id
        - customer_resource_type
        - account_type
        - account_number
        - routing_number
        - account_holder_name
        - status
        - created_at
        - updated_at
      properties:
        id:
          $ref: '#/components/schemas/OrumId'
        account_reference_id:
          $ref: '#/components/schemas/AccountReferenceId'
        customer_reference_id:
          $ref: '#/components/schemas/ExternalAccountCustomerReferenceId'
        customer_resource_type:
          $ref: '#/components/schemas/EndCustomerResourceType'
        account_type:
          $ref: '#/components/schemas/AccountType'
        account_number:
          $ref: '#/components/schemas/UsBankAccountNumber'
        routing_number:
          $ref: '#/components/schemas/AbaRoutingNumber'
        account_holder_name:
          type: string
          description: Name of account holder.
        status:
          $ref: '#/components/schemas/ExternalAccountStatus'
        created_at:
          $ref: '#/components/schemas/CreatedAt'
        updated_at:
          $ref: '#/components/schemas/UpdatedAt'
        closed_at:
          $ref: '#/components/schemas/ClosedAt'
        metadata:
          $ref: '#/components/schemas/Metadata'
    AccountReferenceId:
      title: AccountReferenceId
      type: string
      description: Unique reference id for the external account. Generated by you.
      minLength: 1
      maxLength: 255
    ExternalAccountCustomerReferenceId:
      title: ExternalAccountCustomerReferenceId
      type: string
      description: >-
        Unique customer_reference_id that you passed when creating the
        associated customer (business or person) resource.
      maxLength: 255
    EndCustomerResourceType:
      type: string
      description: Type of customer resource - business, person, or enterprise.
      enum:
        - business
        - person
        - enterprise
    AccountType:
      type: string
      description: Type of bank account - checking or savings.
      enum:
        - checking
        - savings
    UsBankAccountNumber:
      title: UsBankAccountNumber
      type: string
      pattern: ^(?:\d-{0,1}){3,16}\d$
      description: Account number for US bank account. 4 to 17 digits are acceptable.
    AbaRoutingNumber:
      title: AbaRoutingNumber
      type: string
      pattern: ^\d{9}$
      description: 9-digit American Bankers Association (ABA) routing number.
    ExternalAccountStatus:
      type: string
      description: Status of the external account.
      enum:
        - created
        - verified
        - rejected
        - restricted
        - closed
    CreatedAt:
      type: string
      description: Timestamp when the resource was created.
      format: date-time
    UpdatedAt:
      type: string
      description: Timestamp when the resource was last updated.
      format: date-time
    ClosedAt:
      type: string
      description: Timestamp when the status of the resource was set to "closed".
      format: date-time
    Metadata:
      type: object
      description: >-
        Additional data you would like to provide on the resource. The field
        supports valid JSON of up to 5 key-value pairs with a maximum of 20
        characters for the key and 50 characters for the value. Do not include
        any sensitive information.
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api-sandbox.orum.io/oauth/token
          scopes:
            read:persons: Read persons
            write:persons: Write persons
            read:businesses: Read businesses
            write:businesses: Write businesses
            read:external-accounts: Read external accounts
            write:external-accounts: Write external accounts
            read:cards: Read cards
            write:cards: Write cards
            read:transfers: Read transfers
            write:transfers: Write transfers
            read:transfer-groups: Read transfer groups
            write:transfer-groups: Write transfer groups
            read:schedules: Read schedules
            write:schedules: Write schedules
            read:routing-number-eligibility: Read routing number eligibility
            read:balances: Read balances
            read:reports: Read reports
            write:reports: Write reports
            read:booktransfers: Read book transfers
            write:booktransfers: Write book transfers
            read:subledgers: Read subledgers
            write:subledgers: Write subledgers
            read:verify-accounts: Read verify accounts
            write:verify-accounts: Write verify accounts
            read:webhook-configurations: Read webhook configurations
            write:webhook-configurations: Write webhook configurations
            read:webhook-secret: Read webhook secret
            write:webhook-secret: Write webhook secret
            invoke:webhook: Invoke webhook

````